This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 671917 - mono-core shouldn't depend on mono-devel
mono-core shouldn't depend on mono-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks: depchain FedoraMini/Mobility MeeGo12
  Show dependency treegraph
 
Reported: 2011-01-22 16:57 EST by Peter Robinson
Modified: 2011-05-01 10:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-01 10:23:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2011-01-22 16:57:46 EST
core/base packages should never depend on their devel packages.

To install banshee (or banshee-meego) on a base gnome system it pulls in 175Mb of dependencies. On a netbook where you might only have a 4Gb SSD its not really appropriate.

Due to various deps eventually even perl gets pulled in!

[root@trinity ~# yum install banshee-meego
Loaded plugins: langpacks, presto, refresh-packagekit
Adding en_US to language list
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package banshee-meego.i686 0:1.9.2-1.fc15 will be installed
--> Processing Dependency: mono(Banshee.Services) = 1.9.0.0 for package: banshee-meego-1.9.2-1.fc15.i686
--> Processing Dependency: mono(gtk-sharp) = 2.12.0.0 for package: banshee-meego-1.9.2-1.fc15.i686
--> Processing Dependency: mono(Banshee.ThickClient) = 1.9.0.0 for package: banshee-meego-1.9.2-1.fc15.i686
--> Processing Dependency: mono(Hyena.Gui) = 1.9.0.0 for package: banshee-meego-1.9.2-1.fc15.i686
--> Processing Dependency: mono(Mono.Posix) = 2.0.0.0 for package: banshee-meego-1.9.2-1.fc15.i686
--> Processing Dependency: mono(Nereid) = 1.9.0.0 for package: banshee-meego-1.9.2-1.fc15.i686
--> Processing Dependency: mono(System) = 2.0.0.0 for package: banshee-meego-1.9.2-1.fc15.i686
--> Processing Dependency: mono(Banshee.Widgets) = 1.9.0.0 for package: banshee-meego-1.9.2-1.fc15.i686
--> Processing Dependency: mono(Hyena) = 1.9.0.0 for package: banshee-meego-1.9.2-1.fc15.i686
--> Processing Dependency: mono(Mono.Cairo) = 2.0.0.0 for package: banshee-meego-1.9.2-1.fc15.i686
--> Processing Dependency: mono(mscorlib) = 2.0.0.0 for package: banshee-meego-1.9.2-1.fc15.i686
--> Processing Dependency: mono(Banshee.Core) = 1.9.0.0 for package: banshee-meego-1.9.2-1.fc15.i686
--> Processing Dependency: mono(gdk-sharp) = 2.12.0.0 for package: banshee-meego-1.9.2-1.fc15.i686
--> Processing Dependency: mono(glib-sharp) = 2.12.0.0 for package: banshee-meego-1.9.2-1.fc15.i686
--> Processing Dependency: banshee = 1.9.2-1.fc15 for package: banshee-meego-1.9.2-1.fc15.i686
--> Running transaction check
---> Package banshee.i686 0:1.9.2-1.fc15 will be installed
--> Processing Dependency: mono(notify-sharp) = 0.4.0.0 for package: banshee-1.9.2-1.fc15.i686
--> Processing Dependency: mono(NDesk.DBus.GLib) = 1.0.0.0 for package: banshee-1.9.2-1.fc15.i686
--> Processing Dependency: mono(Google.GData.Client) = 1.4.0.2 for package: banshee-1.9.2-1.fc15.i686
--> Processing Dependency: mono(taglib-sharp) = 2.0.3.7 for package: banshee-1.9.2-1.fc15.i686
--> Processing Dependency: mono(Mono.Zeroconf) = 4.0.0.90 for package: banshee-1.9.2-1.fc15.i686
--> Processing Dependency: mono(Google.GData.YouTube) = 1.4.0.2 for package: banshee-1.9.2-1.fc15.i686
--> Processing Dependency: mono(gkeyfile-sharp) = 1.0.0.0 for package: banshee-1.9.2-1.fc15.i686
--> Processing Dependency: mono(MusicBrainz) = 1.9.0.0 for package: banshee-1.9.2-1.fc15.i686
--> Processing Dependency: mono(NDesk.DBus) = 1.0.0.0 for package: banshee-1.9.2-1.fc15.i686
--> Processing Dependency: mono(Google.GData.Extensions) = 1.4.0.2 for package: banshee-1.9.2-1.fc15.i686
--> Processing Dependency: mono(Mono.Addins) = 0.5.0.0 for package: banshee-1.9.2-1.fc15.i686
--> Processing Dependency: mono(gconf-sharp) = 2.24.0.0 for package: banshee-1.9.2-1.fc15.i686
--> Processing Dependency: banshee-musicbrainz = 1.9.2-1.fc15 for package: banshee-1.9.2-1.fc15.i686
--> Processing Dependency: mono(gudev-sharp) = 1.0.0.0 for package: banshee-1.9.2-1.fc15.i686
--> Processing Dependency: libgpod-sharp >= 0.7.95 for package: banshee-1.9.2-1.fc15.i686
--> Processing Dependency: gio-sharp for package: banshee-1.9.2-1.fc15.i686
--> Processing Dependency: gtk-sharp-beans for package: banshee-1.9.2-1.fc15.i686
---> Package gtk-sharp2.i686 0:2.12.10-4.fc15 will be installed
---> Package mono-core.i686 0:2.8.1-1.fc15 will be installed
--> Processing Dependency: mono(Microsoft.Build.Engine) = 2.0.0.0 for package: mono-core-2.8.1-1.fc15.i686
--> Processing Dependency: mono(Microsoft.Build.Framework) = 2.0.0.0 for package: mono-core-2.8.1-1.fc15.i686
--> Processing Dependency: mono(Microsoft.Build.Utilities) = 2.0.0.0 for package: mono-core-2.8.1-1.fc15.i686
--> Processing Dependency: libgdiplus for package: mono-core-2.8.1-1.fc15.i686
--> Running transaction check
---> Package banshee-musicbrainz.i686 0:1.9.2-1.fc15 will be installed
---> Package gdata-sharp.i686 0:1.4.0.2-3.fc13 will be installed
--> Processing Dependency: mono(System.Web) = 2.0.0.0 for package: gdata-sharp-1.4.0.2-3.fc13.i686
---> Package gio-sharp.i686 0:0.2-3.fc15 will be installed
---> Package gkeyfile-sharp.i686 0:0.1-4.fc15 will be installed
---> Package gnome-sharp.i686 0:2.24.1-4.fc15 will be installed
---> Package gtk-sharp-beans.i686 0:2.14.0-3.fc15 will be installed
---> Package gudev-sharp.i686 0:0.1-4.fc15 will be installed
---> Package libgdiplus.i686 0:2.8.1-1.fc15 will be installed
---> Package libgpod-sharp.i686 0:0.8.0-6.fc15 will be installed
---> Package mono-addins.i686 0:0.5-3.fc15 will be installed
---> Package mono-devel.i686 0:2.8.1-1.fc15 will be installed
--> Processing Dependency: mono(System.Configuration.Install) = 4.0.0.0 for package: mono-devel-2.8.1-1.fc15.i686
--> Processing Dependency: mono(Microsoft.Build.Utilities.v4.0) = 4.0.0.0 for package: mono-devel-2.8.1-1.fc15.i686
--> Processing Dependency: glib2-devel for package: mono-devel-2.8.1-1.fc15.i686
---> Package mono-zeroconf.i686 0:0.9.0-3.fc13 will be installed
---> Package ndesk-dbus.i686 0:0.6.1b-1.fc13 will be installed
---> Package ndesk-dbus-glib.i686 0:0.4.1-8.fc13 will be installed
---> Package notify-sharp.i686 0:0.4.0-0.13.20100411svn.fc15 will be installed
---> Package taglib-sharp.i686 0:2.0.3.7-1.fc14 will be installed
--> Running transaction check
---> Package glib2-devel.i686 0:2.27.91-1.fc15 will be installed
--> Processing Dependency: perl(Safe) for package: glib2-devel-2.27.91-1.fc15.i686
--> Processing Dependency: /usr/bin/perl for package: glib2-devel-2.27.91-1.fc15.i686
--> Processing Dependency: perl(File::Basename) for package: glib2-devel-2.27.91-1.fc15.i686
---> Package mono-4-preview.i686 0:2.8.1-1.fc15 will be installed
--> Processing Dependency: mono(System.ServiceModel) = 4.0.0.0 for package: mono-4-preview-2.8.1-1.fc15.i686
--> Processing Dependency: mono(System.Data.Linq) = 4.0.0.0 for package: mono-4-preview-2.8.1-1.fc15.i686
--> Processing Dependency: mono(System.Data) = 4.0.0.0 for package: mono-4-preview-2.8.1-1.fc15.i686
--> Processing Dependency: mono(System.Runtime.Serialization) = 4.0.0.0 for package: mono-4-preview-2.8.1-1.fc15.i686
--> Processing Dependency: mono(System.ServiceModel.Web) = 4.0.0.0 for package: mono-4-preview-2.8.1-1.fc15.i686
--> Processing Dependency: mono(monodoc) = 1.0.0.0 for package: mono-4-preview-2.8.1-1.fc15.i686
--> Processing Dependency: mono(System.Windows.Forms) = 4.0.0.0 for package: mono-4-preview-2.8.1-1.fc15.i686
--> Processing Dependency: mono(nunit-console-runner) = 2.4.8.0 for package: mono-4-preview-2.8.1-1.fc15.i686
---> Package mono-extras.i686 0:2.8.1-1.fc15 will be installed
---> Package mono-web.i686 0:2.8.1-1.fc15 will be installed
--> Processing Dependency: mono(Mono.Data.Sqlite) = 2.0.0.0 for package: mono-web-2.8.1-1.fc15.i686
--> Processing Dependency: mono(System.Web.Extensions) = 4.0.0.0 for package: mono-web-2.8.1-1.fc15.i686
--> Processing Dependency: mono(Mono.Data.Sqlite) = 4.0.0.0 for package: mono-web-2.8.1-1.fc15.i686
--> Processing Dependency: mono(System.Web.Extensions) = 3.5.0.0 for package: mono-web-2.8.1-1.fc15.i686
--> Running transaction check
---> Package mono-data.i686 0:2.8.1-1.fc15 will be installed
---> Package mono-data-sqlite.i686 0:2.8.1-1.fc15 will be installed
---> Package mono-mvc.i686 0:2.8.1-1.fc15 will be installed
---> Package mono-nunit.i686 0:2.8.1-1.fc15 will be installed
---> Package mono-wcf.i686 0:2.8.1-1.fc15 will be installed
---> Package mono-winforms.i686 0:2.8.1-1.fc15 will be installed
---> Package monodoc.i686 0:2.8.1-1.fc15 will be installed
---> Package perl.i686 4:5.12.2-146.fc15 will be installed
--> Processing Dependency: perl-libs = 4:5.12.2-146.fc15 for package: 4:perl-5.12.2-146.fc15.i686
--> Processing Dependency: perl(threads::shared) >= 1.21 for package: 4:perl-5.12.2-146.fc15.i686
--> Processing Dependency: perl(threads) for package: 4:perl-5.12.2-146.fc15.i686
--> Processing Dependency: perl(threads::shared) for package: 4:perl-5.12.2-146.fc15.i686
--> Processing Dependency: perl(Pod::Simple) for package: 4:perl-5.12.2-146.fc15.i686
--> Processing Dependency: libperl.so for package: 4:perl-5.12.2-146.fc15.i686
--> Processing Dependency: perl-libs for package: 4:perl-5.12.2-146.fc15.i686
--> Processing Dependency: perl(Module::Pluggable) for package: 4:perl-5.12.2-146.fc15.i686
--> Running transaction check
---> Package perl-Module-Pluggable.noarch 1:3.90-146.fc15 will be installed
---> Package perl-Pod-Simple.noarch 1:3.13-146.fc15 will be installed
--> Processing Dependency: perl(Pod::Escapes) >= 1.04 for package: 1:perl-Pod-Simple-3.13-146.fc15.noarch
---> Package perl-libs.i686 4:5.12.2-146.fc15 will be installed
---> Package perl-threads.i686 0:1.82-1.fc15 will be installed
---> Package perl-threads-shared.i686 0:1.36-1.fc15 will be installed
--> Running transaction check
---> Package perl-Pod-Escapes.noarch 1:1.04-146.fc15 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================
 Package                            Arch                Version                                   Repository            Size
=============================================================================================================================
Installing:
 banshee-meego                      i686                1.9.2-1.fc15                              rawhide               37 k
Installing for dependencies:
 banshee                            i686                1.9.2-1.fc15                              rawhide              3.0 M
 banshee-musicbrainz                i686                1.9.2-1.fc15                              rawhide               40 k
 gdata-sharp                        i686                1.4.0.2-3.fc13                            rawhide              197 k
 gio-sharp                          i686                0.2-3.fc15                                rawhide               84 k
 gkeyfile-sharp                     i686                0.1-4.fc15                                rawhide               19 k
 glib2-devel                        i686                2.27.91-1.fc15                            rawhide              1.6 M
 gnome-sharp                        i686                2.24.1-4.fc15                             rawhide              309 k
 gtk-sharp-beans                    i686                2.14.0-3.fc15                             rawhide               26 k
 gtk-sharp2                         i686                2.12.10-4.fc15                            rawhide              676 k
 gudev-sharp                        i686                0.1-4.fc15                                rawhide               18 k
 libgdiplus                         i686                2.8.1-1.fc15                              rawhide              160 k
 libgpod-sharp                      i686                0.8.0-6.fc15                              rawhide               30 k
 mono-4-preview                     i686                2.8.1-1.fc15                              rawhide              2.9 M
 mono-addins                        i686                0.5-3.fc15                                rawhide              436 k
 mono-core                          i686                2.8.1-1.fc15                              rawhide               10 M
 mono-data                          i686                2.8.1-1.fc15                              rawhide              1.1 M
 mono-data-sqlite                   i686                2.8.1-1.fc15                              rawhide               97 k
 mono-devel                         i686                2.8.1-1.fc15                              rawhide              1.5 M
 mono-extras                        i686                2.8.1-1.fc15                              rawhide              397 k
 mono-mvc                           i686                2.8.1-1.fc15                              rawhide              614 k
 mono-nunit                         i686                2.8.1-1.fc15                              rawhide              188 k
 mono-wcf                           i686                2.8.1-1.fc15                              rawhide              1.5 M
 mono-web                           i686                2.8.1-1.fc15                              rawhide              2.5 M
 mono-winforms                      i686                2.8.1-1.fc15                              rawhide              2.8 M
 mono-zeroconf                      i686                0.9.0-3.fc13                              rawhide               83 k
 monodoc                            i686                2.8.1-1.fc15                              rawhide              7.3 M
 ndesk-dbus                         i686                0.6.1b-1.fc13                             rawhide               48 k
 ndesk-dbus-glib                    i686                0.4.1-8.fc13                              rawhide               11 k
 notify-sharp                       i686                0.4.0-0.13.20100411svn.fc15               rawhide               13 k
 perl                               i686                4:5.12.2-146.fc15                         rawhide               11 M
 perl-Module-Pluggable              noarch              1:3.90-146.fc15                           rawhide               37 k
 perl-Pod-Escapes                   noarch              1:1.04-146.fc15                           rawhide               30 k
 perl-Pod-Simple                    noarch              1:3.13-146.fc15                           rawhide              207 k
 perl-libs                          i686                4:5.12.2-146.fc15                         rawhide              611 k
 perl-threads                       i686                1.82-1.fc15                               rawhide               46 k
 perl-threads-shared                i686                1.36-1.fc15                               rawhide               34 k
 taglib-sharp                       i686                2.0.3.7-1.fc14                            rawhide              164 k

Transaction Summary
=============================================================================================================================
Install      38 Package(s)

Total download size: 49 M
Installed size: 175 M
Is this ok [y/N]: n
Exiting on user Command
Complete!
Comment 1 Julian Aloofi 2011-02-14 14:35:51 EST
This is the case on Fedora 14 as well by the way, and not only on rawhide.
Comment 2 Kevin Kofler 2011-03-08 05:16:43 EST
Ugh, how did such a serious packaging bug go unnoticed?

It is NEVER OK for a runtime package (i.e. not a -devel package or a compiler) to drag in -devel packages. mono-core needs to contain only runtime libraries and MUST NOT drag in mono-devel. This should be obvious, it shouldn't even have been necessary to file this bug to get this fixed!
Comment 3 Christian Krause 2011-03-10 16:59:23 EST
I will take care of this issue.

- F14 will be fixed first
- F15/rawhide will be fixed during the update to mono 2.10 (most likely before the official F15 release)
Comment 4 Fedora Update System 2011-03-14 20:38:06 EDT
mono-addins-0.5-2.fc14,mono-2.6.7-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mono-addins-0.5-2.fc14,mono-2.6.7-4.fc14
Comment 5 Peter Robinson 2011-03-23 21:50:09 EDT
what's the timeframe for getting this fixed in rawhide and F-15?
Comment 6 Fedora Update System 2011-03-31 13:00:45 EDT
mono-addins-0.5-2.fc14, mono-2.6.7-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Christian Krause 2011-04-04 20:14:18 EDT
(In reply to comment #5)
> what's the timeframe for getting this fixed in rawhide and F-15?

The issue should now be fixed in rawhide. Please can you quickly test it?

If there are now show-stoppers during the testing of mono 2.10.1 in rawhide, I'll update F-15 within the next days / week.
Comment 8 Fedora Update System 2011-04-15 11:18:23 EDT
nant-0.90-5.fc15,log4net-1.2.10-15.fc15,banshee-community-extensions-2.0.0-1.fc15,mono-2.10.1-5.fc15,monodevelop-2.4.2-2.fc15,banshee-2.0.0-2.fc15,mono-debugger-2.10-1.fc15,gecko-sharp2-0.13-20.fc15,gnome-sharp-2.24.1-6.fc15,gio-sharp-0.3-1.fc15,webkit-sharp-0.3-6.fc15,mono-addins-0.5-5.fc15,mod_mono-2.10-1.fc15,xsp-2.10-1.fc15,gtk-sharp2-2.12.10-7.fc15,libgdiplus-2.10-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nant-0.90-5.fc15,log4net-1.2.10-15.fc15,banshee-community-extensions-2.0.0-1.fc15,mono-2.10.1-5.fc15,monodevelop-2.4.2-2.fc15,banshee-2.0.0-2.fc15,mono-debugger-2.10-1.fc15,gecko-sharp2-0.13-20.fc15,gnome-sharp-2.24.1-6.fc15,gio-sharp-0.3-1.fc15,webkit-sharp-0.3-6.fc15,mono-addins-0.5-5.fc15,mod_mono-2.10-1.fc15,xsp-2.10-1.fc15,gtk-sharp2-2.12.10-7.fc15,libgdiplus-2.10-2.fc15
Comment 9 Fedora Update System 2011-04-18 00:01:02 EDT
nant-0.90-5.fc15, log4net-1.2.10-15.fc15, banshee-community-extensions-2.0.0-1.fc15, mono-2.10.1-5.fc15, monodevelop-2.4.2-2.fc15, banshee-2.0.0-2.fc15, mono-debugger-2.10-1.fc15, gecko-sharp2-0.13-20.fc15, gnome-sharp-2.24.1-6.fc15, gio-sharp-0.3-1.fc15, webkit-sharp-0.3-6.fc15, mono-addins-0.5-5.fc15, mod_mono-2.10-1.fc15, xsp-2.10-1.fc15, gtk-sharp2-2.12.10-7.fc15, libgdiplus-2.10-2.fc15, boo-0.9.4.9-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Christian Krause 2011-05-01 10:23:12 EDT
The problem is now fixed in rawhide and F15. F14 and F13 were never affected.

Note You need to log in before you can comment on or make changes to this bug.